namespace org.accordproject.contract;
using AccordProject.Concerto;
[AccordProject.Concerto.Type(Namespace = "org.accordproject.contract", Version = "0.2.0", Name = "Contract")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public abstract class Contract : Asset {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.contract@0.2.0.Contract";
   [AccordProject.Concerto.Identifier()]
   public string contractId { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.contract", Version = "0.2.0", Name = "Clause")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public abstract class Clause : Asset {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.contract@0.2.0.Clause";
   [AccordProject.Concerto.Identifier()]
   public string clauseId { get; set; }
}
