namespace org.accordproject.obligation;
using org.accordproject.runtime;
using org.accordproject.money;
using AccordProject.Concerto;
[AccordProject.Concerto.Type(Namespace = "org.accordproject.obligation", Version = "0.2.0", Name = "PaymentObligation")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class PaymentObligation : Obligation {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.obligation@0.2.0.PaymentObligation";
   public MonetaryAmount amount { get; set; }
   public string description { get; set; }
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.obligation", Version = "0.2.0", Name = "NotificationObligation")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class NotificationObligation : Obligation {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.obligation@0.2.0.NotificationObligation";
   public string title { get; set; }
   public string message { get; set; }
}
